@echo off
rem ############################################
rem # NEC Software Hokkaido
rem # Check Consistency Execution command
rem #  Ver.1.0.1  2006/09/11  Append MegaCLI File Existence Check
rem #  Ver.1.0.0  2006/09/05  Support with MegaCLI Ver.1.01.13
rem # MG_SCC.BAT [-aN|-aALL] [-Lx|-LALL]
rem #  Ex.)
rem #   MG_SCC.BAT -a0 -L0
rem #   MG_SCC.BAT -aALL -LALL
rem ############################################

setlocal

rem ###############################
rem ### bat Variable
rem ###############################

set OUTPUT_LOG=MG_SCC.log
set MEGACLI_PATH=MEGACLI\MEGACLI.EXE

rem ##############################
rem ### Start CC
rem ##############################

pushd %~d0
cd %~p0

rem ### Parameter Check

rem # No Parameter
if "%1"=="" (
    goto no_parameter
)

rem # Adapter Parameter Check
:adp_check
if "%1" GEQ "-a0" (
    if "%1" LEQ "-AALL" (
        goto ld_check
    ) ELSE (
        goto ng_parameter
    )
) ELSE (
    goto ng_parameter
)

rem # LD Parameter Check
:ld_check
if "%2" GEQ "-l0" (
    if "%2" LEQ "-LALL" (
        goto set_parameter
    ) ELSE (
        goto ng_parameter
    )
) ELSE (
    goto ng_parameter
)

rem # Output No Parameter
:no_parameter
echo %date% %time% >> %OUTPUT_LOG%
(
    echo %0 %1 %2
    echo *** ERROR ***
    echo Illegal parameter numbers
    echo Syntax %0 [-aN^|-aALL] [-Lx^|-LALL]
    echo  -a : set controller number
    echo  -L : set Logical Unit Number
    echo.
    goto end
) >> %OUTPUT_LOG%

rem # Output NG Parameter
:ng_parameter
echo %date% %time% >> %OUTPUT_LOG%
(
    echo %0 %1 %2
    echo *** ERROR ***
    echo Invalid parameter %1 %2
    echo Syntax %0 [-aN^|-aALL] [-Lx^|-LALL]
    echo  -a : set controller number
    echo  -L : set Logical Unit Number
    echo.
    goto end
) >> %OUTPUT_LOG%

rem # Set Parameter
:set_parameter
echo %date% %time% >> %OUTPUT_LOG%
(
    echo %0 %1 %2
    %MEGACLI_PATH% -LDCC -Start %2 %1
    echo.
    goto end
) >> %OUTPUT_LOG% 2>&1

:end
popd
endlocal
@echo on
